Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1884112 - CVE-2020-26159 oniguruma: Buffer overflow in concat_opt_exact_str could result in DoS [fedora-all]
Summary: CVE-2020-26159 oniguruma: Buffer overflow in concat_opt_exact_str could resul...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: oniguruma
Version: 32
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2020-26159
TreeView+ depends on / blocked
 
Reported: 2020-10-01 05:25 UTC by Michael Kaplan
Modified: 2020-10-21 00:32 UTC (History)
4 users (show)

Fixed In Version: oniguruma-6.9.5-3.rev1.fc33 oniguruma-6.9.5-3.rev1.fc32 oniguruma-6.9.4-2.fc31
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-06 14:04:29 UTC
Type: ---


Attachments (Terms of Use)

Description Michael Kaplan 2020-10-01 05:25:37 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Michael Kaplan 2020-10-01 05:25:39 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1884111,1884112

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2020-10-01 07:36:35 UTC
FEDORA-2020-bc758654d1 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-bc758654d1

Comment 3 Fedora Update System 2020-10-01 07:36:39 UTC
FEDORA-2020-952c499e9d has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-952c499e9d

Comment 4 Fedora Update System 2020-10-01 07:36:59 UTC
FEDORA-2020-d53469eceb has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d53469eceb

Comment 5 Fedora Update System 2020-10-02 01:46:38 UTC
FEDORA-2020-bc758654d1 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-bc758654d1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-bc758654d1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-10-02 01:53:23 UTC
FEDORA-2020-d53469eceb has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-d53469eceb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d53469eceb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-10-02 02:10:43 UTC
FEDORA-2020-952c499e9d has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-952c499e9d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-952c499e9d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-10-06 14:04:29 UTC
FEDORA-2020-bc758654d1 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-10-09 16:13:37 UTC
FEDORA-2020-952c499e9d has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-10-09 16:27:48 UTC
FEDORA-2020-d53469eceb has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Mamoru TASAKA 2020-10-21 00:31:51 UTC
This issue is not proved to be false positive.

Comment 12 Mamoru TASAKA 2020-10-21 00:32:15 UTC
https://github.com/kkos/oniguruma/issues/221


Note You need to log in before you can comment on or make changes to this bug.